Commit 21a4d13a authored by Vincent Untz's avatar Vincent Untz

build: Remove startup-notification dependency

We don't have anything using it in the library anymore.
parent 759c4f3e
......@@ -113,31 +113,14 @@ dnl it too, or it will never make it into the spec file!
GDK_PIXBUF_REQUIRED=2.21.3
GTK_REQUIRED=3.0
GLIB_REQUIRED=2.19.1
STARTUP_NOTIFICATION_REQUIRED=0.5
XRANDR_REQUIRED=1.2
GSETTINGS_DESKTOP_SCHEMAS_REQUIRED=0.1.4
AC_SUBST(GTK_REQUIRED)
AC_SUBST(GLIB_REQUIRED)
AC_SUBST(GDK_PIXBUF_REQUIRED)
AC_SUBST(STARTUP_NOTIFICATION_REQUIRED)
AC_SUBST(XRANDR_REQUIRED)
AC_MSG_CHECKING(for libstartup-notification)
if $PKG_CONFIG --atleast-version $STARTUP_NOTIFICATION_REQUIRED libstartup-notification-1.0; then
AC_MSG_RESULT(yes)
AC_DEFINE(HAVE_STARTUP_NOTIFICATION, 1,
[Define if the startup-notification package is present])
have_startup_notification=yes
STARTUP_NOTIFICATION_PACKAGE=libstartup-notification-1.0
else
AC_MSG_RESULT(no)
have_startup_notification=no
STARTUP_NOTIFICATION_PACKAGE=
fi
AC_SUBST(STARTUP_NOTIFICATION_PACKAGE)
dnl we need x11 for GnomeBG
PKG_CHECK_MODULES(XLIB, x11,
......@@ -173,7 +156,7 @@ AC_SUBST(RANDR_PACKAGE)
dnl pkg-config dependency checks
PKG_CHECK_MODULES(GNOME_DESKTOP, gdk-pixbuf-2.0 >= $GDK_PIXBUF_REQUIRED gtk+-3.0 >= $GTK_REQUIRED glib-2.0 >= $GLIB_REQUIRED gio-2.0 >= $GLIB_REQUIRED gsettings-desktop-schemas >= $GSETTINGS_DESKTOP_SCHEMAS_REQUIRED $STARTUP_NOTIFICATION_PACKAGE $RANDR_PACKAGE)
PKG_CHECK_MODULES(GNOME_DESKTOP, gdk-pixbuf-2.0 >= $GDK_PIXBUF_REQUIRED gtk+-3.0 >= $GTK_REQUIRED glib-2.0 >= $GLIB_REQUIRED gio-2.0 >= $GLIB_REQUIRED gsettings-desktop-schemas >= $GSETTINGS_DESKTOP_SCHEMAS_REQUIRED $RANDR_PACKAGE)
dnl gnome-doc-utils stuff
......@@ -237,7 +220,6 @@ echo "
Build desktop-wide docs: ${enable_desktop_docs}
Date in gnome-version.xml: ${enable_date_in_gnome_version}
Use external pnp.ids: ${EXTERNAL_PNP_IDS}
Startup notification support: ${have_startup_notification}
XRandr support: ${have_randr}
Build gtk-doc documentation: ${enable_gtk_doc}
......
......@@ -5,7 +5,7 @@ includedir=@includedir@
Name: gnome-desktop-3.0
Description: Utility library for loading .desktop files
Requires: gtk+-3.0 gsettings-desktop-schemas @STARTUP_NOTIFICATION_PACKAGE@
Requires: gtk+-3.0 gsettings-desktop-schemas
Version: @VERSION@
Libs: ${pc_top_builddir}/${pcfiledir}/libgnome-desktop-3.la
Cflags: -I${pc_top_builddir}/${pcfiledir}/..
......@@ -5,7 +5,7 @@ includedir=@includedir@
Name: gnome-desktop-3.0
Description: Utility library for loading .desktop files
Requires: gtk+-3.0 gsettings-desktop-schemas @STARTUP_NOTIFICATION_PACKAGE@
Requires: gtk+-3.0 gsettings-desktop-schemas
Version: @VERSION@
Libs: -L${libdir} -lgnome-desktop-3
Cflags: -I${includedir}/gnome-desktop-3.0
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment